For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a webhook by resource ID
      • DELDelete an existing webhook
      • PATCHPatch an existing webhook
      • DELRemove the webhook secret, this will roll the existing one
      • PATCHGet a new webhook secret, this rolls the current token
      • POSTTrigger notification for a webhook in penalty box
      • POSTTest a webhook connection
      • GETGet a list of all webhooks
      • POSTCreate a web hook
      • GETGet a list of all available actions
      • POSTTest a webhook connection before create a webhook
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIWebhooks

Get a list of all available actions

GET
/v:version/webhooks/actions
GET
/v:version/webhooks/actions
$curl https://test.api.solvimon.com/v1/webhooks/actions \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "actions": [
6 "string"
7 ]
8 }
9 ]
10}
Requires the WEBHOOK.VIEW permission.
Was this page helpful?
Previous

Test a webhook connection before create a webhook

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects or nullRead-only

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error